Author Topic: Update von 2.10 auf 2.12.2 - Probleme....  (Read 137 times)

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Update von 2.10 auf 2.12.2 - Probleme....
« on: February 27, 2020, 12:27:08 PM »
Ich versuche gerade mal wieder, eine Kunden-Website von 2.10.0 auf 2.12.2 upzudaten. Das Update ist eigentlich auch problemlos durchgegangen. Aber im Frontend (!) bekomme ich jetzt auf der Startseite die folgende Fehlermeldung angezeigt:

Code: [Select]
Sorry, the required jQuery files for Anynews (flexslider) are not loaded in your template.
Please ensure the code below is included within the <head> section of your template 'index.php' file.
You can use the external admin tool Addon File Editor (AFE) to modify this template file.

<?php
    
// automatically include optional WB module files (frontend.css, frontend.js)
    
if (function_exists('register_frontend_modfiles')) {
        
register_frontend_modfiles('css');
        
register_frontend_modfiles('jquery');
        
register_frontend_modfiles('js');
    }
?>

Dabei habe ich diesen Code sehr wohl in der index.php !!!

Der Anynews-Flexslider ist auf der Startseite unten - dort sollte aktuell eigentlich gar nichts aus dem Bereich "Aktuelles" angezeigt werden, es werden aber zwei Meldungen angezeigt, die nicht auf die Startseite gehören.

Außerdem funktioniert das Navigationsmenü, das sich über ein JS-Accordion aufklappen ließ, jetzt nicht mehr.

Hier der Link zur upgedateten Version 2.12.2: http://neu.werkstatt-friedenserziehung.de/
Die alte (2.10.0) Version zum Vergleich findet man noch hier: https://www.werkstatt-friedenserziehung.de/

Jemand eine Idee, wo ich da ansetzen muss?

LG,
Astrid

Offline hgs

  • Betatester
  • **
  • Posts: 1238
    • EFG MG
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #1 on: February 27, 2020, 12:45:34 PM »
Hast du mal den Outputfilter verglichen?
Mit F12 unter Debugger siehst du den Unterschied der beiden Seiten.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #2 on: February 27, 2020, 12:47:44 PM »
Guter Tipp! Da war nix angehakt - jetzt habe ich das Häkchen bei JQuery gesetzt und das Akkordion-Menü funktioniert wieder. Ebenso sieht der Flexslider auf der Startseite richtig aus. Aber die Fehlermeldung im Frontend ist immer noch da!!!! Wie kriege ich die jetzt wieder weg?

Offline hgs

  • Betatester
  • **
  • Posts: 1238
    • EFG MG
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #3 on: February 27, 2020, 12:51:21 PM »
Schau mal unter F12 Konsole, da wir auch noch was angemeckert
Quote
SyntaxError: '' string literal contains an unescaped line break neu.werkstatt-friedenserziehung.de:133:73
TypeError: $(...).flexslider is not a function
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #4 on: February 27, 2020, 01:02:50 PM »
Den SyntaxError habe ich korrigiert.

Die Meldung mit dem flexlider sehe ich bei mir in der Konsole nicht ? (Firefox)

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #5 on: February 27, 2020, 01:05:42 PM »
Das Navigations-Menü ist auch immer noch nicht korrekt - da müsste vor den Hauptpunkten ein kleines Pfeil-Icon stehen, das sich dreht, wenn man es aufklappt .. das fehlt. Hrmph!

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #6 on: February 27, 2020, 01:34:48 PM »
OK, durch das Anhaken von "ScriptVars" im Outputfilter ist die Frontend-Meldung dann jetzt verschwunden.

Aber das mit den Accordion-Navigationsmenü klappt immer noch nicht. Irgendwie werden nicht alle CSS-Dateien geladen, scheint mir... kann da noch mal jemand schauen? Wäre super lieb! :-)

Offline dbs

  • Betatester
  • **
  • Posts: 8274
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #7 on: February 27, 2020, 01:37:07 PM »
Die neu Seite kann ich nicht ohne https nicht aufrufen (leitet immer zu https) und deshalb sehe ich nichts vom design.
Steht in der config http oder in der htaccess?

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #8 on: February 27, 2020, 01:41:48 PM »
Die neu Seite kann ich nicht ohne https nicht aufrufen (leitet immer zu https) und deshalb sehe ich nichts vom design.
Steht in der config http oder in der htaccess?

In der Config der neuen Seite steht http - ein htaccess gibt es nicht.

Offline dbs

  • Betatester
  • **
  • Posts: 8274
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #9 on: February 27, 2020, 02:03:05 PM »
War ein Plugin von mir, dass immer zu https leitet.

auf beiden Webseiten wird diese Datei versucht zu laden und ist nicht vorhanden:
http://neu.werkstatt-friedenserziehung.de/templates/Werkstatt_Friedenserziehung/js/jquery.ui.core.js
Aber das wird das Problem nicht lösen.

Die alte Seite verwendet jQuery 1.7, die neue 1.12.
Daran könnte es liegen.

Offline astricia

  • Posts: 743
  • Gender: Female
    • netSchmiede24
Re: Update von 2.10 auf 2.12.2 - Probleme....
« Reply #10 on: February 28, 2020, 08:27:42 AM »
Danke - ja, scheint in der Tat an einer neueren Jquery-Version zu liegen, das CSS hat sich verändert. Ich habe mir jetzt die wichtigsten CSS-Anweisungen in das style.css des Templates gelegt und mit !important überschrieben. So passt es dann auch wieder.

Danke für eure Hilfe! :-)